FROM node:21.5 AS build
WORKDIR /site
COPY . .
RUN npm i
RUN npm run build

FROM forgejo.neshweb.net/ci-docker-images/website-serve:latest AS runtime

COPY --from=build /site/dist /public
COPY --from=build /site/serve.json /public/serve.json

ENV PORT 8081
EXPOSE 8081

CMD [ "serve", "public/", "-p", "8081" ]
